const query = require("../db.js");
const { toSnakeCase } = require("./utils.js");

const deleteTable = async (req, res) => {
  try {
    const { client, tableName } = req.params;
    const dBtableName = `${client}_${toSnakeCase(tableName)}`;

    const tableCheck = await query(`
      SELECT EXISTS (SELECT 1 FROM pg_tables WHERE tablename = $1)
      AS table_exists`, [dBtableName]);
    if (!tableCheck.rows[0]["table_exists"]) {
      return res.status(404).json({ error: `Data collection ${tableName} not found.` });
    }

    await query(`DELETE FROM ${dBtableName}`);
    res.status(200).json({ message: "Data removed successfully" });

  } catch (err) {
    console.error("Error handling the request:", err);
    res
      .status(500)
      .json({ error: "An error occurred while processing the request" });
  }
};

module.exports = deleteTable;
